.wg_required {
    font-size: 12px;
    color: red;
}

.wg_required_border {
    border: 1px solid red;
}

.wg-error-box {
    background-color: #f5cdcd;
    color: #990000;
    border: 1px dashed #990000;
    padding: 5px 10px;
    font-size: 12px;
    margin-bottom: 5px;
}

.wg-success-box {
    background-color: #dcf5cd;
    color: #0e9900;
    border: 1px dashed #0e9900;
    padding: 5px 10px;
    font-size: 12px;
    margin-bottom: 5px;
}

.wg-warning-box {
    background-color: #f5dbcd;
    color: #996400;
    border: 1px dashed #996400;
    padding: 5px 10px;
    font-size: 12px;
    margin-bottom: 5px;
}

.wg-pink-box {
    background-color: #f5cdf5;
    color: #890099;
    border: 1px dashed #890099;
    padding: 5px 10px;
    font-size: 12px;
    margin-bottom: 5px;
}

.wg-aqua-box {
    background-color: #cdf0f5;
    color: #004745;
    border: 1px dashed #004745;
    padding: 5px 10px;
    font-size: 12px;
    margin-bottom: 5px;
}

.wgPreviewImage {
    margin-top: 5px;
}

.cursor-pointer {
    cursor: pointer;
}

.mt-1 {
    margin-top: 4px;
}

.mt-2 {
    margin-top: 8px;
}

.mt-3 {
    margin-top: 12px;
}

.mt-4 {
    margin-top: 16px;
}

.mt-5 {
    margin-top: 20px;
}

.p-1 {
    padding: 4px;
}

.p-2 {
    padding: 8px;
}

.p-3 {
    padding: 12px;
}

.p-4 {
    padding: 16px;
}

.p-5 {
    padding: 20px;
}

.wg-text-center {
    text-align: center;
}

.wg-text-end {
    text-align: right;
}

.callout-gray {
    background-color: #EDEDED;
}

.wg-note {
    background-color: #F5F5F5;
    font-size: 11px;
    padding: 10px 10px;
    margin-top: 5px;
}

.menu-container {
    background-color: #D9D9D9;
    padding: 10px;
    border: 1px solid #D9D9D9;
    overflow-x: auto;
}

.menu-item {
    background-color: #fff;
    color: #000;
    padding: 12px 15px;
    width: 400px;
    cursor: pointer;
    position: relative;
}

.menu-item-draggable {
    padding: 5px 0;
}

.menu-settings {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
}

.sub-menu {
    margin-left: 50px;
}

.sub-menu .menu-item-draggable {
    padding-top: 10px;
}

.draggable_placeholder {
    height: 20px;
}

.draggable_cursor {
    cursor: move;
}

.wg-change-column-number {
    background-color: #fff;
    border: 1px solid #717171;
    padding: 2px 6px;
    font-size: 12px;
    margin-right: 8px;
    color: #717171;
}

.absolute-dynamic-listing {
    position: absolute;
    top: 35px;
    left: 0px;
    border: 1px solid #ccc;
    border-radius: 2px;
    width: 105%;
    background-color: #fff;
    display: none;
    max-height: 250px;
    overflow-x: hidden;
    overflow-y: auto;
    z-index: 1;
}

.absolute-dynamic-listing-item {
    padding: 5px 15px;
    border-bottom: 1px solid #ccc;
}

.absolute-dynamic-listing-item:last-child {
    border-bottom: none;
}

.wg-category-block {
    margin-bottom: 10px;
}

.wg-block-category-container {
    background-color: #666;
    padding: 10px 15px;
}

.wg-block-category {
    background-color: #fff;
    padding: 15px 20px;
    cursor: pointer;
    position: relative;
}

.wg-block-category .options {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    width: 30px;
    height: 30px;
    border-radius: 50%;
    overflow: hidden;
    background-color: #EEEEEE;
    text-align: center;
    padding-top: 5px;
}

.wg-block-category .option-tray {
    position: absolute;
    right: 0;
    width: 200px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 3px;
    z-index: 1;
    padding: 0 12px;
    display: none;
}

.wg-block-category .option-tray ul {
    list-style: none;
    padding: 0 0;
    margin: 0 0;
}

.wg-block-category .option-tray ul li {
    padding: 10px 0;
    border-bottom: 1px solid #ccc;
}

.wg-block-category .option-tray ul li:last-child {
    border-bottom: none;
}

.wg-block-category .delete-block {}

.wg-block-category .empty-block {}

.wg-block-category-products {
    background-color: #fff;
    min-height: 300px;
    max-height: 600px;
    padding: 10px 15px;
    margin-top: 2px;
    display: none;
}

.wg-search-result ul {
    list-style: none;
    padding: 0 0;
    margin: 10px 0 0 0;
}

.wg-search-result ul li {
    margin-bottom: 4px;
}

.wg-search-result ul li span {
    padding-right: 15px;
}

.wg-searchbox {
    position: relative
}

.wg-searchbox .wg-search-result-box {
    display: none;
    position: absolute;
    left: 0;
    width: 100%;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 2px;
    padding: 7px 10px;
    max-height: 300px;
    overflow-y: auto;
    overflow-x: hidden;
}

.wg-search-result-box ul {
    list-style: none;
    padding: 0 0;
    margin: 0 0;
}

.wg-search-result-box ul li {
    margin-bottom: 5px;
}

.select2-container--default .select2-selection--single {
    padding-bottom: 26px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    color: #000;
}

.divPricingProgress,
.divCatalougeProgress {
    display: none;
}

.view-ip-details {
    color: red;
    border-bottom: 1px dotted red;
}

.email-template-product-item {
    position: relative;
}

.email-template-product-item .wg-close {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}

.email-template-product-item .wg-close:hover {
    text-decoration: none;
}

.callout-light-gray {
    background-color: #d2d6de !important;
}

.action-button {
    display: inline-block;
    outline: 0;
    cursor: pointer;
    border-radius: 4px;
    box-shadow: 0 2px 5px 0 rgb(213 217 217 / 50%);
    background: #FFF;
    border: 1px solid #D5D9D9;
    font-size: 13px;
    height: 31px;
    padding: 5px 11px 0 11px;
    text-align: center;
    font-weight: 400;
    color: #0F1111;

    :hover {
        background-color: #F7FAFA;
        border-color: #D5D9D9;
    }

}

.wg-auto-complete {
    position: relative;
}

.wg-auto-complete>.wg-auto-container {
    position: absolute;
    left: 0;
    top: 33px;
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 3px;
    background: #fff;
    z-index: 1;
    display: none;
    max-height: 150px;
    overflow-x: hidden;
    overflow-y: auto;
}

.wg-auto-complete>.wg-auto-container>div {
    padding: 4px 10px;
    border-bottom: 1px solid #ccc;
    cursor: pointer;
}

hr {
    border-top: 1px solid #ccc;
    margin-bottom: 30px;
}

.contributor-list {
    list-style: none;
    padding: 0 0;
    margin: 0 0;
    background-color: #F8F8F8;
}

.contributor-list li {
    padding: 5px 10px;
    border-bottom: 1px solid #EAEAEA;
    position: relative;
}

.contributor-list li:nth-child(odd) {
    background: #F8F8F8;
}

.contributor-list li:nth-child(even) {
    background: #FCFCFC;
}

.contributor-list li a {
    position: absolute;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
    background-color: red;
    color: #fff;
    padding: 2px 6px;
    border-radius: 50%;
    overflow: hidden;
    font-size: 10px;
}

.wg-attached-items-order-note ol {
    padding: 0 0;
    margin: 10px 10px 10px 12px;
}

.wg-sale-note-item {
    border: 1px solid #3c8dbc;
    padding: 15px 30px;
    position: relative;
    margin-bottom: 5px;
}

.wg-sale-note-item>div {
    background-color: #ffffff;
    padding: 10px 15px;
}

.wg-sale-note-item .user-image {
    width: 60px;
    height: 60px;
    text-align: center;
    margin: 0 auto;
}

.wg-sale-note-item .user-name {
    font-size: 12px;
    color: #4F4F4F;
    text-align: center;
    margin-top: 10px;
    position: absolute;
    right: 16px;
    bottom: 15px;
}

.wg-sale-note-item .published-on {
    text-align: right;
    font-size: 11px;
    color: #ccc;
    position: absolute;
    right: 16px;
    bottom: 38px;
}

.wg-sale-note-item ol {
    padding: 0 0;
    margin: 0 0 0 18px;
}

.screen-green .btn-primary {
    background-color: #00a65a !important;
    border: 1px solid #00a65a !important;
}

.wg-dynamic-dropdown {
    position: relative;
}

.wg-dynamic-dropdown>div {
    position: absolute;
    left: 0;
    top: 33px;
    border: 1px solid #ccc;
    width: 100%;
    background-color: #fff;
    display: none;
}

.wg-dynamic-dropdown>div>div {
    border-bottom: 1px solid #ccc;
    padding: 5px 15px;
    cursor: pointer;
}

.wg-dynamic-dropdown>div>div:last-child {
    border-bottom: none;
}

.wg-light-gray-background {
    background-color: #FAFAFA;
    border: 1px solid #ccc;
    padding: 10px 15px;
    border-radius: 3px;
}

.wg-light-blue-background {
    background-color: #f6fdff;
}

.table-striped>tbody>tr:nth-of-type(odd) {
    background-color: #eaeaea !important;
}

.box-header {
    position: relative;
}

.box-header .option-panel {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.wg-light-success {
    background-color: #d8fdde;
    color: #003f0a;
    padding: 3px 7px;
    border: 1px dashed #003f0a;
    margin-bottom: 2px;
    font-size: 11px;
}

.wg-light-danger {
    background-color: #fdd8d8;
    color: #3f0000;
    padding: 3px 7px;
    border: 1px dashed #3f0000;
    margin-bottom: 2px;
    font-size: 11px;
}

.wg-light-warning {
    background-color: #ffd9af;
    color: #5d3100;
    padding: 3px 7px;
    border: 1px dashed #5d3100;
    margin-bottom: 2px;
    font-size: 11px;
}

.supplier-detail-boxed {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 6px 10px;
    margin-top: 5px;
    background: #eaeaea;
    position: relative;
}

.supplier-detail-boxed h5 {
    padding: 0 0;
    margin: 0 0;
    margin-bottom: 8px;
    font-size: 17px;
    font-weight: 600;
}

.supplier-detail-boxed .wg-close {
    font-size: 16px;
    color: #000;
    position: absolute;
    right: 10px;
    top: 6px;
    display: block;
    padding: 4px 12px;
    border: 1px solid #fff;
}

.wg-customer-contact-container {
    background: #f7f7f7;
    display: flex;
    padding: 10px 12px;
    border: 1px solid #eaeaea;
    border-radius: 4px;
    margin-bottom: 4px;
    position: relative;
}

.wg-customer-contact-container .owner {
    background-color: #f3e100;
    color: red;
    padding: 3px 4px;
    position: absolute;
    right: 2px;
    top: 2px;
    border-radius: 4px;
}

.wg-customer-contact-container .wg-customer-contact-checkbox {
    width: 25px;
}

.wg-customer-contact-container .wg-customer-contact-detail {
    width: calc(100% - 30px);
}

.wg-customer-contact-container .wg-customer-contact-detail label {
    display: block;
    width: 100%;
    font-weight: 500;
    line-height: 15px;
}

.wg-customer-contact-container .wg-customer-contact-detail label>div:first-child {
    font-weight: 600;
}

.wg-customer-contact-container .wg-customer-contact-detail label>div:nth-child(2) {
    color: #3c8dbc;
    margin-top: 3px;
    margin-bottom: 3px;
    ;
}

.wg-auto-complete-container {
    position: relative;
}

.wg-auto-complete-container .wg-auto-complete-box {
    position: absolute;
    left: 0;
    top: 35px;
    border: 1px solid #eaeaea;
    width: 100%;
    background: #fff;
    z-index: 1;
    max-height: 126px;
    overflow-x: hidden;
    overflow-y: auto;
    display: none;
}

.wg-auto-complete-container .wg-auto-complete-box>div {
    padding: 5px 10px;
    border-bottom: 1px solid #eaeaea;
    cursor: pointer;
}

.wg-auto-complete-container .wg-auto-complete-box>div:last-child {
    border-bottom: none !important;
}

.quotation-accepted,
.quotation-rejected {
    cursor: pointer;
    padding: 2px 5px 4px 5px;
    text-decoration: none;
    font-size: 12px;
}
.quotation-accepted:hover,
.quotation-rejected:hover {
    color: #fff;
}
.quotation-accepted {
    background-color: #00a65a;
    color: #fff;
}
.quotation-rejected {
    background-color: #dd4b39;
    color: #fff;
}
